Package oasis.names.tc.saml._1_0.assertion

# Class SubjectConfirmation

java.lang.Object
oasis.names.tc.saml._1_0.assertion.SubjectConfirmation

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SubjectConfirmation extends Object implements Serializable

Java class for SubjectConfirmationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubjectConfirmationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}ConfirmationMethod" maxOccurs="unbounded"/>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}SubjectConfirmationData" minOccurs="0"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyInfo" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubjectConfirmation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getConfirmationMethods()`
  Gets the value of the confirmationMethods property.
  `KeyInfo`
  `getKeyInfo()`
  Gets the value of the keyInfo property.
  `Object`
  `getSubjectConfirmationData()`
  Gets the value of the subjectConfirmationData property.
  `void`
  `setKeyInfo(KeyInfo value)`
  Sets the value of the keyInfo property.
  `void`
  `setSubjectConfirmationData(Object value)`
  Sets the value of the subjectConfirmationData property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubjectConfirmation

    public SubjectConfirmation()

- ## Method Details

  - ### getConfirmationMethods

    public List<String> getConfirmationMethods()
    Gets the value of the confirmationMethods property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the confirmationMethods property.

    For example, to add a new item, do as follows:

         getConfirmationMethods().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the confirmationMethods property.

  - ### getSubjectConfirmationData

    public Object getSubjectConfirmationData()
    Gets the value of the subjectConfirmationData property.
    Returns:
      possible object is `Object`

  - ### setSubjectConfirmationData

    public void setSubjectConfirmationData(Object value)
    Sets the value of the subjectConfirmationData property.
    Parameters:
      `value` - allowed object is `Object`

  - ### getKeyInfo

    public KeyInfo getKeyInfo()
    Gets the value of the keyInfo property.
    Returns:
      possible object is `KeyInfo`

  - ### setKeyInfo

    public void setKeyInfo(KeyInfo value)
    Sets the value of the keyInfo property.
    Parameters:
      `value` - allowed object is `KeyInfo`